<?php
    
    use yii\db\Migration;
    
    class m170303_130758_add_columns_synonym extends Migration
    {
        public function up()
        {
            $this->addColumn('category', 'synonym', $this->string());
            $this->addColumn(
                'tax_group',
                'use_in_name',
                $this->boolean()
                     ->defaultValue(false)
            );
            $this->addColumn('tax_option', 'synonym', $this->string());
        }
        
        public function down()
        {
            $this->dropColumn('tax_group', 'use_in_menu');
            $this->dropColumn('tax_option', 'synonym');
            $this->dropColumn('category', 'synonym');
        }
    }
