<?php
/**
 * @link http://www.yiiframework.com/
 * @copyright Copyright (c) 2008 Yii Software LLC
 * @license http://www.yiiframework.com/license/
 */

namespace frontend\assets;

use yii\web\AssetBundle;
use yii\web\View;
/**
 * @author Qiang Xue <qiang.xue@gmail.com>
 * @since 2.0
 */
class AppAsset extends AssetBundle
{
    public $basePath = '@webroot';
    public $baseUrl = '@web';
    public $css = [
        'css/style.css',
        //'css/comments.css',
        'https://fonts.googleapis.com/css?family=Roboto',
    ];
    public $js = [
    ];
    public $depends = [
        'yii\web\JqueryAsset',
        'sersid\owlcarousel\Asset'
        //'yii\web\YiiAsset',
        //'yii\bootstrap\BootstrapAsset',
    ];
    
    public function init() {
        $this->jsOptions['position'] = View::POS_END;
        parent::init();
    }    
}
