<?php
use yii\helpers\Url;
use yii\helpers\Html;
use yii\web\View;
use yii\widgets\Breadcrumbs;
use yii\widgets\ActiveForm;

$this->title = 'Корзина';
$this->registerMetaTag(['name' => 'description', 'content' => 'Корзина']);
$this->registerMetaTag(['name' => 'keywords', 'content' => 'Корзина']);

if(isset($variants) && isset($order)){
    $orderData = "
    ga('require', 'ecommerce');
    ga('ecommerce:addTransaction', {
    'id': {$order->id},                     //  где ID - транзакции, обязательно
    });";

    foreach($variants as $row){
        $orderData .= "
    ga('ecommerce:addItem', {
    'id': {$order->id},                     // ID - транзакции, обязательно
    'name': \"{$row['product_name']} {$row['name']}\",    //  Имя товара
    'price': {$row['price']},                 // Цена товара
    'quantity': {$row['count']}                   // Количество
    });";

    }
    $orderData .= "ga('ecommerce:send');";
    $this->registerJs ($orderData, View::POS_END);

}


?>
            <nav class="bread-crumbs">
            <?= Breadcrumbs::widget([
                'links' => [
                            'Корзина'
                            ],
            ]) ?>
                            <div class="both"></div>
            </nav>



<div class="layout">
    
    <h1>Корзина</h1>
Ваш заказ принят! Большое Спасибо! Менеджер с Вами свяжется в ближайшее время.

</div>
