<?php
use yii\widgets\Breadcrumbs;
use yii\grid\GridView;

$this->params['breadcrumbs'][] = Yii::t('product', 'Brands');

$this->params['seo']['seo_text'] = 'Brands SEO-text';
$this->params['seo']['h1'] = Yii::t('product', 'Brands');
$this->params['seo']['description'] = 'Brands DESCRIPTION';
$this->params['seo']['fields']['name'] = 'Brands NAME FROM FIELD';
$this->params['seo']['key']= 'brands';
?>



<div class="loyout">
    <h1><?= $this->params['seo']['h1']?></h1>
    <ul class="brends_list">
    <?php foreach($dataProvider->models as $brand) :?>
    <li>
        <a href="<?= \yii\helpers\Url::to(['catalog/brand', 'brand' => $brand->alias])?>"><?= \common\components\artboximage\ArtboxImageHelper::getImage($brand->imageUrl, 'brand_item')?></a>
        <br>
        <a href="<?= \yii\helpers\Url::to(['catalog/brand', 'brand' => $brand->alias])?>" class="name"><?= $brand->name?></a>
    </li>
    <?php endforeach?>
    </ul>
    <div class="both"></div>
</div>