<?php
use yii\helpers\Html;
use frontend\helpers\TextHelper;
use yii\helpers\Url;
use frontend\components\Text;
use frontend\assets\FlipclockAsset;
FlipclockAsset::register($this);
?>
<div class="news_item">
    <div>
        <div>
            <a href="<?=Url::to(['event/show','alias'=>$model->alias])?>" class="name"><?=$model->name?></a>
        </div>

        <div style="position: relative">
            <a href="<?=Url::to(['event/show','alias'=>$model->alias])?>">
                <?= \common\components\artboximage\ArtboxImageHelper::getImage($model->imageUrl, 'event_left', ['align' => 'left'])?>
            </a>


        <?php

        if(!empty($model->end_at) && strtotime($model->end_at) > strtotime(date("Y-m-d H:i:s"))){
            ?>
            <div class="clock_style clock_<?= $model->primaryKey ?>"></div>
            <script type="text/javascript">
                var clock;

                $(document).ready(function() {
                    var clock;

                    clock = $('.clock_<?= $model->primaryKey ?>').FlipClock({
                        clockFace: 'DailyCounter',
                        language: 'ru',
                        classes: {
                            active: 'flip-clock-active',
                            before: 'flip-clock-before',
                            divider: 'flip-clock-divider',
                            dot: 'flip-clock-dot',
                            label: 'flip-clock-label',
                            flip: 'flip',
                            play: 'play',
                            wrapper: 'flip-clock-wrapper'
                        },
                    });

                    clock.setTime(<?= strtotime($model->end_at) - strtotime(date("Y-m-d H:i:s"))?>);
                    clock.setCountdown(true);
                    clock.start();

                });
            </script>


            <?php
        }

        ?>
        </div>
        <div class="both"></div>
    </div>




</div>