<?php
use frontend\assets\FlipclockAsset;
use yii\helpers\Url;
use yii\widgets\Breadcrumbs;
FlipclockAsset::register($this);
?>
<?php
$this->title = $model->name;

?>

            <nav class="bread-crumbs">
            <?= Breadcrumbs::widget([
                'links' => [
                            ['label'=>'Акции','url'=>['event/index']],
                    $model->name
                            ],
            ]) ?>
                            <div class="both"></div>
            </nav>

<div class="layout">
    
    <div class="content">
	<h1><?=$model->name?></h1>
        <div style="position: relative">
            <?php if($model->image){?>
                <?= \common\components\artboximage\ArtboxImageHelper::getImage($model->imageUrl, 'event_left', ['align' => 'left'])?>
            <?php }?>

            <?php

            if(!empty($model->end_at) && strtotime($model->end_at) > strtotime(date("Y-m-d"))){
                ?>
                <div class="clock_style clock"></div>
                <script type="text/javascript">
                    var clock;

                    $(document).ready(function() {
                        var clock;

                        clock = $('.clock').FlipClock({
                            clockFace: 'DailyCounter',
                            language: 'ru',
                            classes: {
                                active: 'flip-clock-active',
                                before: 'flip-clock-before',
                                divider: 'flip-clock-divider',
                                dot: 'flip-clock-dot',
                                label: 'flip-clock-label',
                                flip: 'flip',
                                play: 'play',
                                wrapper: 'flip-clock-wrapper'
                            },
                        });

                        clock.setTime(<?= strtotime($model->end_at) - strtotime(date("Y-m-d H:i:s"))?>);
                        clock.setCountdown(true);
                        clock.start();

                    });
                </script>


                <?php
            }

            ?>
        </div>

            <?=$model->body?>
    </div>


    <div class="content">
        <div class="products pn">
            <ul>
            <?php foreach($productProvider->models as $product) :?>
                <?php if(!empty($product->enabledVariants) ):?>
                    <?= $this->render('../catalog/product_item', ['product' => $product])?>
                <?php endif;?>
            <?php endforeach?>
            </ul>
            </div>
    </div>

</div>