<?php
/* @var $slider Slider*/
use common\models\Slider;
use yii\helpers\Html;
use yii\helpers\Url;

?>
<div class="carousel">
    <?php
    if(!empty($slider)) {
        foreach($slider->sliderImage as $image):
            if($image->isActive()){
                $htm = <<<HTML
    
                <div style="background:url($image->image ) center center no-repeat;width:100%;height:480px;position:absolute;">
                </div>
                <div class="12n content">

HTML;


            if(!empty($image->end_at) && strtotime($image->end_at) > strtotime(date("Y-m-d"))){
                ?>
                <div class="clock_style clock_<?= $image->primaryKey ?>"></div>
                <script type="text/javascript">
                    var clock;

                    $(document).ready(function() {
                        var clock;

                        clock = $('.clock_<?= $image->primaryKey ?>').FlipClock({
                            clockFace: 'DailyCounter',
                            language: 'ru',
                            classes: {
                                active: 'flip-clock-active',
                                before: 'flip-clock-before',
                                divider: 'flip-clock-divider',
                                dot: 'flip-clock-dot',
                                label: 'flip-clock-label',
                                flip: 'flip',
                                play: 'play',
                                wrapper: 'flip-clock-wrapper'
                            },
                        });

                        clock.setTime(<?= strtotime($image->end_at) - strtotime(date("Y-m-d H:i:s"))?>);
                        clock.setCountdown(true);
                        clock.start();

                    });
                </script>


                <?php
            }

                if(!empty($image->price)) {
                    $htm .= <<<HTML
                    <div class="price_round_border">
                        <div class="price_round">
                            <div class="title">Супер цена</div>
                            <div class="desc">$image->price
                                <div>грн.</div>
                            </div>
                        </div>
                    </div>
HTML;
                }

                $htm .= <<<HTML
                </div>

HTML;


            ?>

        <div class="slide">
            <?= Html::a($htm, Url::toRoute($image->url)); ?>
        </div>
        <?php   }?>
<?php endforeach; }?>
</div>

<div style="clear:both;"></div>
<?php
if (empty($slider)) {
    $dur = 5000;
    $speed = 500;
}
else {
    $dur = $slider->duration ?  $slider->duration : 5000;
    $speed = $slider->speed ?  $slider->speed : 500;
}
$js="	$(\".carousel\").owlCarousel({
        items: 1,
        loop: true,
        nav: true,
		startPosition: 2,
		mouseDrag: false,
		navSpeed: 800,
		autoplay:true,
		autoplayTimeout: $dur,
		autoplaySpeed: $speed,
		autoplayHoverPause:true,
        navText: ['<a class=\"prev\"></a>', '<a class=\"next\"></a>']
     });";

$this->registerJs($js);

?>
