<?php

namespace frontend\controllers;

use Yii;
use yii\web\Controller;
use common\models\Subscribe;
use yii\web\HttpException;
use yii\data\Pagination;
use yii\web\Response;
use yii\widgets\ActiveForm;

class SubscribeController extends Controller
{

    public function actionIndex()
    {
		$model = new Subscribe;
        if (Yii::$app->request->isAjax) {
            Yii::$app->response->format = Response::FORMAT_JSON;
            $model->load(Yii::$app->request->post());
            return ActiveForm::validate($model);
        } else {
            if ($model->load(Yii::$app->request->post()) && $model->save()) {

                Yii::$app->getSession()->setFlash('success', 'Вы успешно подписались на рассылку!');
                return $this->refresh();
            }
        }

        return $this->render('index',['model'=>$model]);        
    }
    
}    