<?php
use yii\helpers\Html;
use yii\helpers\Url;
use yii\web\View;
use yii\grid\GridView;
use yii\widgets\Breadcrumbs;


$this->title = 'Мои заказы';
$this->params['breadcrumbs'][] = $this->title;

$this->registerJs("

    $('.orders_view').hide();
    $('.fav_point .link').click(function(){
        $(this).parent().parent().find('.orders_view').toggle();
        return false;
    });

", View::POS_READY, 'orders_view');
?>

	<div class="lay_title">
		<h1 class="uppercase center">Мои заказы</h1>
	</div>
	<div class="layout">
	<div class="leftbar">
		<div class="mycabinet">
			<div class="begin">Мой кабинет</div>
            <?= $this->render('_tabs')?>
		</div>
	</div>

	<div class="content">


        <div class="favorites">
            <div style="margin-top:-5px;">
               <?php foreach($model as $item):?>
                <div class="fav_point">
                    <div class="left"><a href="#" class="link">№ <?=$item->id?></a></div>
                    <div class="left"><?=$item->date_time?></div>
                    <div class="left">на <?=$item->total?> грн</div>
                    <div class="right redtext"><?=$item->status?></div>
                    <div class="both"></div>

                    <div class="orders_view">
                   <?php foreach($item->products as $item_p):
                       ?>

                       <?php if(!empty($item_p->price)):?>
                        <div class="order">
                            <div class="pixbox">
                                    <?= \common\components\artboximage\ArtboxImageHelper::getImage($item_p->productVariant->image->imageUrl, 'product_trumb2')?>

                            </div>
                            <div class="order_title"><?=$item_p->product_name?></div>
                            <div class="order_count">Кол-во: <?=$item_p->count?></div>
                            <div class="order_price"><span><?=$item_p->price?></span> грн.</div>
                            <p class="note"></p>
                        </div>
                        <?php endif;?>

                   <?php endforeach;?>
                        <div class="both"></div>
                    </div>
                </div>
                <?php endforeach;?>

            </div>

        </div>






		</div>
		</div>
